Employee Name Search V2
Introduction
The API returns details about the employee like establishmentName, address, officeName, paymentDetails using employee name.
How to call the API
You are required to pass the access token recieved from the login call, as authorization header in the EPFO Employee Name Based Search request along with establishmentId, establishmentName, employeeName and employmentMonth.
API Input Guidelines
You will need to login before sending firm number request.
Sample Curl
curl --location --request POST 'https://signzy.tech/api/v2/patrons/...patronID.../epfos' \
--header 'Content-Type: application/json' \
--header 'Authorization: ...Authorization token...' \
--data '
{
"task":"employeeNameSearchv2",
"essentials":{
"establishmentId": "...establishmentId...",
"establishmentName": "...establishmentName...",
"employeeName" : "...employeeName...",
"employmentMonth" : "...employmentMonth..."
}
}'Input Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
Authorization | Access Token for authentication and authorization |
Content-Type | Specifies the format of the data sent in the request body |
task | The type of task to be performed. |
essentials | Contains the essential input data like establishmentId, establishmentName, employeeName and employeeListMonths. |
establishmentId | ID of the Establishment Either one of "establishmentId" or "establishmentName" is required. |
establishmentName | Name of the Establishment Either one of "establishmentId" or "establishmentName" is required. |
employeeMonth | Month for which information is required Format: MONTH/YEAR (MM/YYYY) Note: Value can only be upto last 1 year |
employeeName | Name of the employee |
Sample Response
{
"result": {
"match": "...match result (true/false)...",
"searchResult": [
{
"establishmentName": "...establishmentName...",
"establishmentID": "...establishmentID...",
"address": "...address...",
"officeName": "...officeName...",
"paymentDetails": [
{
"trrn": "...transaction Id...",
"dateOfCredit": "...date of credit...",
"amount": "...amount...",
"wageMonth": "...wage month...",
"ecr": "...ecr (YES/NO)...",
"employeeMatch": [
"...matched employee names..."
]
}
]
}
]
}
}Output Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
match | Tells if the given employee name was found or not (True/False) |
searchResult | Contains Information on all the matched establishments |
establishmentName | Name of the establishment |
establishmentID | ID of the establishment |
address | Address of the establishment |
officeName | Office Name |
paymentDetails | Details of Payment for the given month Note: Can be empty in case no record found for the given month. |
trrn | Transaction Id |
dateOfCredit | Date of Credit Format: DD/MM/YYYY (For Ex. 11/03/2021) |
amount | Amount |
wageMonth | Wage Month Format: MM/YYYY (For ex. 03/2021 for March-2021) |
ecr | ecr (YES/NO) |
employeeMatch | List of employee which match with the given employee name |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | Employee not found. |
400 | Employee not found. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].